<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: MINI51 Peripheral Memory Map</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">MINI51 Peripheral Memory Map</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for MINI51 Peripheral Memory Map:</div>
<div class="dyncontent">
<div class="center"><img src="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.png" border="0" usemap="#ad4_2d99_2group______m__i__n__i51______p__e__r__i__p__h__e__r__a__l______m__e__m______m__a__p" alt=""/></div>
<map name="ad4_2d99_2group______m__i__n__i51______p__e__r__i__p__h__e__r__a__l______m__e__m______m__a__p" id="ad4_2d99_2group______m__i__n__i51______p__e__r__i__p__h__e__r__a__l______m__e__m______m__a__p">
<area shape="rect" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html" title=" " alt="" coords="257,5,451,31"/>
<area shape="rect" title=" " alt="" coords="5,5,209,31"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/ddc/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___d_e_c_l_a_r_a_t_i_o_n.html">MINI51 Peripheral Declaration</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga23a9099a5f8fc9c6e253c0eecb2be8db"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga23a9099a5f8fc9c6e253c0eecb2be8db">FLASH_BASE</a>&#160;&#160;&#160;((uint32_t)0x00000000)</td></tr>
<tr class="memdesc:ga23a9099a5f8fc9c6e253c0eecb2be8db"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flash base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga23a9099a5f8fc9c6e253c0eecb2be8db">More...</a><br /></td></tr>
<tr class="separator:ga23a9099a5f8fc9c6e253c0eecb2be8db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga05e8f3d2e5868754a7cd88614955aecc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga05e8f3d2e5868754a7cd88614955aecc">SRAM_BASE</a>&#160;&#160;&#160;((uint32_t)0x20000000)</td></tr>
<tr class="memdesc:ga05e8f3d2e5868754a7cd88614955aecc"><td class="mdescLeft">&#160;</td><td class="mdescRight">SRAM base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga05e8f3d2e5868754a7cd88614955aecc">More...</a><br /></td></tr>
<tr class="separator:ga05e8f3d2e5868754a7cd88614955aecc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45666d911f39addd4c8c0a0ac3388cfb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a>&#160;&#160;&#160;((uint32_t)0x40000000)</td></tr>
<tr class="memdesc:ga45666d911f39addd4c8c0a0ac3388cfb"><td class="mdescLeft">&#160;</td><td class="mdescRight">APB1 base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">More...</a><br /></td></tr>
<tr class="separator:ga45666d911f39addd4c8c0a0ac3388cfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga25b99d6065f1c8f751e78f43ade652cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">APB2PERIPH_BASE</a>&#160;&#160;&#160;((uint32_t)0x40100000)</td></tr>
<tr class="memdesc:ga25b99d6065f1c8f751e78f43ade652cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">APB2 base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga25b99d6065f1c8f751e78f43ade652cb">More...</a><br /></td></tr>
<tr class="separator:ga25b99d6065f1c8f751e78f43ade652cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga92eb5d49730765d2abd0f5b09548f9f5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a>&#160;&#160;&#160;((uint32_t)0x50000000)</td></tr>
<tr class="memdesc:ga92eb5d49730765d2abd0f5b09548f9f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">AHB base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">More...</a><br /></td></tr>
<tr class="separator:ga92eb5d49730765d2abd0f5b09548f9f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf99229879e6e3249a0ab9bcefcaf208b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">WDT_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x04000)</td></tr>
<tr class="memdesc:gaf99229879e6e3249a0ab9bcefcaf208b"><td class="mdescLeft">&#160;</td><td class="mdescRight">WDT register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaf99229879e6e3249a0ab9bcefcaf208b">More...</a><br /></td></tr>
<tr class="separator:gaf99229879e6e3249a0ab9bcefcaf208b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a5c55fc79dee34c91502b0503404375"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">TIMER0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10000)</td></tr>
<tr class="memdesc:ga7a5c55fc79dee34c91502b0503404375"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER0 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a5c55fc79dee34c91502b0503404375">More...</a><br /></td></tr>
<tr class="separator:ga7a5c55fc79dee34c91502b0503404375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a4bd01d91a70285f0bec70f4e9e88bb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">TIMER1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10020)</td></tr>
<tr class="memdesc:ga7a4bd01d91a70285f0bec70f4e9e88bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">TIMER1 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7a4bd01d91a70285f0bec70f4e9e88bb">More...</a><br /></td></tr>
<tr class="separator:ga7a4bd01d91a70285f0bec70f4e9e88bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ee5d64af207612578a7c77b58f1dd33"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7ee5d64af207612578a7c77b58f1dd33">I2C_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x20000)</td></tr>
<tr class="memdesc:ga7ee5d64af207612578a7c77b58f1dd33"><td class="mdescLeft">&#160;</td><td class="mdescRight">I2C register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga7ee5d64af207612578a7c77b58f1dd33">More...</a><br /></td></tr>
<tr class="separator:ga7ee5d64af207612578a7c77b58f1dd33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4a3757b6bf87a9402b4cc6ff355dd015"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4a3757b6bf87a9402b4cc6ff355dd015">SPI_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x30000)</td></tr>
<tr class="memdesc:ga4a3757b6bf87a9402b4cc6ff355dd015"><td class="mdescLeft">&#160;</td><td class="mdescRight">SPI register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4a3757b6bf87a9402b4cc6ff355dd015">More...</a><br /></td></tr>
<tr class="separator:ga4a3757b6bf87a9402b4cc6ff355dd015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1cf172d973c15b32c647a80557010e0c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1cf172d973c15b32c647a80557010e0c">PWM_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x40000)</td></tr>
<tr class="memdesc:ga1cf172d973c15b32c647a80557010e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">PWM register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1cf172d973c15b32c647a80557010e0c">More...</a><br /></td></tr>
<tr class="separator:ga1cf172d973c15b32c647a80557010e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa501d94aad5260161a3f0b89ec827e92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa501d94aad5260161a3f0b89ec827e92">UART_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x50000)</td></tr>
<tr class="memdesc:gaa501d94aad5260161a3f0b89ec827e92"><td class="mdescLeft">&#160;</td><td class="mdescRight">UART register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa501d94aad5260161a3f0b89ec827e92">More...</a><br /></td></tr>
<tr class="separator:gaa501d94aad5260161a3f0b89ec827e92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c32d772e9e72f69156356e526790914"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">ACMP_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xD0000)</td></tr>
<tr class="memdesc:ga1c32d772e9e72f69156356e526790914"><td class="mdescLeft">&#160;</td><td class="mdescRight">ACMP register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1c32d772e9e72f69156356e526790914">More...</a><br /></td></tr>
<tr class="separator:ga1c32d772e9e72f69156356e526790914"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad06cb9e5985bd216a376f26f22303cd6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">ADC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xE0000)</td></tr>
<tr class="memdesc:gad06cb9e5985bd216a376f26f22303cd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">ADC register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gad06cb9e5985bd216a376f26f22303cd6">More...</a><br /></td></tr>
<tr class="separator:gad06cb9e5985bd216a376f26f22303cd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab33b8c0d1115b19422b58e6efa42c8a6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab33b8c0d1115b19422b58e6efa42c8a6">GCR_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00000)</td></tr>
<tr class="memdesc:gab33b8c0d1115b19422b58e6efa42c8a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">GCR register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab33b8c0d1115b19422b58e6efa42c8a6">More...</a><br /></td></tr>
<tr class="separator:gab33b8c0d1115b19422b58e6efa42c8a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0385aaf8679955f827be0a0abda8566d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">CLK_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00200)</td></tr>
<tr class="memdesc:ga0385aaf8679955f827be0a0abda8566d"><td class="mdescLeft">&#160;</td><td class="mdescRight">CLK register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga0385aaf8679955f827be0a0abda8566d">More...</a><br /></td></tr>
<tr class="separator:ga0385aaf8679955f827be0a0abda8566d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab83441b5ca9bd3c25e8e4489f2071f1f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab83441b5ca9bd3c25e8e4489f2071f1f">INT_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00300)</td></tr>
<tr class="memdesc:gab83441b5ca9bd3c25e8e4489f2071f1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">INT register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab83441b5ca9bd3c25e8e4489f2071f1f">More...</a><br /></td></tr>
<tr class="separator:gab83441b5ca9bd3c25e8e4489f2071f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa9ed78d6cfe5edd33af3e136c5938417"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa9ed78d6cfe5edd33af3e136c5938417">P0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04000)</td></tr>
<tr class="memdesc:gaa9ed78d6cfe5edd33af3e136c5938417"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 0 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gaa9ed78d6cfe5edd33af3e136c5938417">More...</a><br /></td></tr>
<tr class="separator:gaa9ed78d6cfe5edd33af3e136c5938417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga656ca53ffcbf328100dddccf007b85ef"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga656ca53ffcbf328100dddccf007b85ef">P1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04040)</td></tr>
<tr class="memdesc:ga656ca53ffcbf328100dddccf007b85ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 1 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga656ca53ffcbf328100dddccf007b85ef">More...</a><br /></td></tr>
<tr class="separator:ga656ca53ffcbf328100dddccf007b85ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac015290d797bcba839812d71b6e07565"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac015290d797bcba839812d71b6e07565">P2_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04080)</td></tr>
<tr class="memdesc:gac015290d797bcba839812d71b6e07565"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 2 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gac015290d797bcba839812d71b6e07565">More...</a><br /></td></tr>
<tr class="separator:gac015290d797bcba839812d71b6e07565"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga932e679bf1c1dd9873fa5948845394b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga932e679bf1c1dd9873fa5948845394b7">P3_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x040C0)</td></tr>
<tr class="memdesc:ga932e679bf1c1dd9873fa5948845394b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 3 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga932e679bf1c1dd9873fa5948845394b7">More...</a><br /></td></tr>
<tr class="separator:ga932e679bf1c1dd9873fa5948845394b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1bfcac8d536ed3cbf84dea67475311f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1bfcac8d536ed3cbf84dea67475311f4">P4_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04100)</td></tr>
<tr class="memdesc:ga1bfcac8d536ed3cbf84dea67475311f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 4 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga1bfcac8d536ed3cbf84dea67475311f4">More...</a><br /></td></tr>
<tr class="separator:ga1bfcac8d536ed3cbf84dea67475311f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37447b491f1fb8b3cd8335bcf78c0dc7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga37447b491f1fb8b3cd8335bcf78c0dc7">P5_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04140)</td></tr>
<tr class="memdesc:ga37447b491f1fb8b3cd8335bcf78c0dc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 5 register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga37447b491f1fb8b3cd8335bcf78c0dc7">More...</a><br /></td></tr>
<tr class="separator:ga37447b491f1fb8b3cd8335bcf78c0dc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3f1d73ed683ccb8d50d543161f5cf635"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3f1d73ed683ccb8d50d543161f5cf635">GPIO_DBNCECON_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04180)</td></tr>
<tr class="memdesc:ga3f1d73ed683ccb8d50d543161f5cf635"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO De-bounce register vase.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3f1d73ed683ccb8d50d543161f5cf635">More...</a><br /></td></tr>
<tr class="separator:ga3f1d73ed683ccb8d50d543161f5cf635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85ced68629e327e7944cd10e2e5c88a6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga85ced68629e327e7944cd10e2e5c88a6">GPIO_PIN_DATA_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04200)</td></tr>
<tr class="memdesc:ga85ced68629e327e7944cd10e2e5c88a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO pin data register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga85ced68629e327e7944cd10e2e5c88a6">More...</a><br /></td></tr>
<tr class="separator:ga85ced68629e327e7944cd10e2e5c88a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc66540366e1860d9fb99553a491c3f6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafc66540366e1860d9fb99553a491c3f6">GPIOBIT0_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04200)</td></tr>
<tr class="memdesc:gafc66540366e1860d9fb99553a491c3f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 0 bit access register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gafc66540366e1860d9fb99553a491c3f6">More...</a><br /></td></tr>
<tr class="separator:gafc66540366e1860d9fb99553a491c3f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga39d1fa060d7f441ad8b11be6d82f6508"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga39d1fa060d7f441ad8b11be6d82f6508">GPIOBIT1_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04220)</td></tr>
<tr class="memdesc:ga39d1fa060d7f441ad8b11be6d82f6508"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 1 bit access register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga39d1fa060d7f441ad8b11be6d82f6508">More...</a><br /></td></tr>
<tr class="separator:ga39d1fa060d7f441ad8b11be6d82f6508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga569016b91164be7a013c75fe6c943c64"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga569016b91164be7a013c75fe6c943c64">GPIOBIT2_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04240)</td></tr>
<tr class="memdesc:ga569016b91164be7a013c75fe6c943c64"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 2 bit access register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga569016b91164be7a013c75fe6c943c64">More...</a><br /></td></tr>
<tr class="separator:ga569016b91164be7a013c75fe6c943c64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e4bdddfa16d90eb159d33cafbd73fd2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4e4bdddfa16d90eb159d33cafbd73fd2">GPIOBIT3_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04260)</td></tr>
<tr class="memdesc:ga4e4bdddfa16d90eb159d33cafbd73fd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 3 bit access register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga4e4bdddfa16d90eb159d33cafbd73fd2">More...</a><br /></td></tr>
<tr class="separator:ga4e4bdddfa16d90eb159d33cafbd73fd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3ad848e5dae1310ed55b1b05fbbef9c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab3ad848e5dae1310ed55b1b05fbbef9c">GPIOBIT4_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04280)</td></tr>
<tr class="memdesc:gab3ad848e5dae1310ed55b1b05fbbef9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 4 bit access register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#gab3ad848e5dae1310ed55b1b05fbbef9c">More...</a><br /></td></tr>
<tr class="separator:gab3ad848e5dae1310ed55b1b05fbbef9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ae39872642c3a1869dd1a16b3606f50"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3ae39872642c3a1869dd1a16b3606f50">GPIOBIT5_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x042A0)</td></tr>
<tr class="memdesc:ga3ae39872642c3a1869dd1a16b3606f50"><td class="mdescLeft">&#160;</td><td class="mdescRight">GPIO Port 5 bit access register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga3ae39872642c3a1869dd1a16b3606f50">More...</a><br /></td></tr>
<tr class="separator:ga3ae39872642c3a1869dd1a16b3606f50"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga68a39e11ba4a19785d20a98954c7fc9e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">FMC_BASE</a>&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x0C000)</td></tr>
<tr class="memdesc:ga68a39e11ba4a19785d20a98954c7fc9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">FMC register base address.  <a href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga68a39e11ba4a19785d20a98954c7fc9e">More...</a><br /></td></tr>
<tr class="separator:ga68a39e11ba4a19785d20a98954c7fc9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p >Memory Mapped Structure for MINI51 Series Peripheral </p>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga1c32d772e9e72f69156356e526790914" name="ga1c32d772e9e72f69156356e526790914"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1c32d772e9e72f69156356e526790914">&#9670;&nbsp;</a></span>ACMP_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ACMP_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xD0000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ACMP register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05693">5693</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gad06cb9e5985bd216a376f26f22303cd6" name="gad06cb9e5985bd216a376f26f22303cd6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad06cb9e5985bd216a376f26f22303cd6">&#9670;&nbsp;</a></span>ADC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ADC_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0xE0000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ADC register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05694">5694</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga92eb5d49730765d2abd0f5b09548f9f5" name="ga92eb5d49730765d2abd0f5b09548f9f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga92eb5d49730765d2abd0f5b09548f9f5">&#9670;&nbsp;</a></span>AHBPERIPH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define AHBPERIPH_BASE&#160;&#160;&#160;((uint32_t)0x50000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>AHB base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05683">5683</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga45666d911f39addd4c8c0a0ac3388cfb" name="ga45666d911f39addd4c8c0a0ac3388cfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga45666d911f39addd4c8c0a0ac3388cfb">&#9670;&nbsp;</a></span>APB1PERIPH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define APB1PERIPH_BASE&#160;&#160;&#160;((uint32_t)0x40000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>APB1 base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05681">5681</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga25b99d6065f1c8f751e78f43ade652cb" name="ga25b99d6065f1c8f751e78f43ade652cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga25b99d6065f1c8f751e78f43ade652cb">&#9670;&nbsp;</a></span>APB2PERIPH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define APB2PERIPH_BASE&#160;&#160;&#160;((uint32_t)0x40100000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>APB2 base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05682">5682</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga0385aaf8679955f827be0a0abda8566d" name="ga0385aaf8679955f827be0a0abda8566d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0385aaf8679955f827be0a0abda8566d">&#9670;&nbsp;</a></span>CLK_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CLK_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00200)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>CLK register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05697">5697</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga23a9099a5f8fc9c6e253c0eecb2be8db" name="ga23a9099a5f8fc9c6e253c0eecb2be8db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga23a9099a5f8fc9c6e253c0eecb2be8db">&#9670;&nbsp;</a></span>FLASH_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FLASH_BASE&#160;&#160;&#160;((uint32_t)0x00000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flash base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05679">5679</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga68a39e11ba4a19785d20a98954c7fc9e" name="ga68a39e11ba4a19785d20a98954c7fc9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga68a39e11ba4a19785d20a98954c7fc9e">&#9670;&nbsp;</a></span>FMC_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x0C000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>FMC register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05713">5713</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gab33b8c0d1115b19422b58e6efa42c8a6" name="gab33b8c0d1115b19422b58e6efa42c8a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab33b8c0d1115b19422b58e6efa42c8a6">&#9670;&nbsp;</a></span>GCR_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GCR_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GCR register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05696">5696</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga3f1d73ed683ccb8d50d543161f5cf635" name="ga3f1d73ed683ccb8d50d543161f5cf635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3f1d73ed683ccb8d50d543161f5cf635">&#9670;&nbsp;</a></span>GPIO_DBNCECON_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_DBNCECON_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04180)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO De-bounce register vase. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05705">5705</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga85ced68629e327e7944cd10e2e5c88a6" name="ga85ced68629e327e7944cd10e2e5c88a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga85ced68629e327e7944cd10e2e5c88a6">&#9670;&nbsp;</a></span>GPIO_PIN_DATA_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIO_PIN_DATA_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04200)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO pin data register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05706">5706</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gafc66540366e1860d9fb99553a491c3f6" name="gafc66540366e1860d9fb99553a491c3f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc66540366e1860d9fb99553a491c3f6">&#9670;&nbsp;</a></span>GPIOBIT0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOBIT0_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04200)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 0 bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05707">5707</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga39d1fa060d7f441ad8b11be6d82f6508" name="ga39d1fa060d7f441ad8b11be6d82f6508"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga39d1fa060d7f441ad8b11be6d82f6508">&#9670;&nbsp;</a></span>GPIOBIT1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOBIT1_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04220)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 1 bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05708">5708</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga569016b91164be7a013c75fe6c943c64" name="ga569016b91164be7a013c75fe6c943c64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga569016b91164be7a013c75fe6c943c64">&#9670;&nbsp;</a></span>GPIOBIT2_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOBIT2_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04240)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 2 bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05709">5709</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga4e4bdddfa16d90eb159d33cafbd73fd2" name="ga4e4bdddfa16d90eb159d33cafbd73fd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4e4bdddfa16d90eb159d33cafbd73fd2">&#9670;&nbsp;</a></span>GPIOBIT3_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOBIT3_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04260)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 3 bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05710">5710</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gab3ad848e5dae1310ed55b1b05fbbef9c" name="gab3ad848e5dae1310ed55b1b05fbbef9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab3ad848e5dae1310ed55b1b05fbbef9c">&#9670;&nbsp;</a></span>GPIOBIT4_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOBIT4_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04280)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 4 bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05711">5711</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga3ae39872642c3a1869dd1a16b3606f50" name="ga3ae39872642c3a1869dd1a16b3606f50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3ae39872642c3a1869dd1a16b3606f50">&#9670;&nbsp;</a></span>GPIOBIT5_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GPIOBIT5_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x042A0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 5 bit access register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05712">5712</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga7ee5d64af207612578a7c77b58f1dd33" name="ga7ee5d64af207612578a7c77b58f1dd33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7ee5d64af207612578a7c77b58f1dd33">&#9670;&nbsp;</a></span>I2C_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x20000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>I2C register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05689">5689</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gab83441b5ca9bd3c25e8e4489f2071f1f" name="gab83441b5ca9bd3c25e8e4489f2071f1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab83441b5ca9bd3c25e8e4489f2071f1f">&#9670;&nbsp;</a></span>INT_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define INT_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x00300)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>INT register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05698">5698</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaa9ed78d6cfe5edd33af3e136c5938417" name="gaa9ed78d6cfe5edd33af3e136c5938417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa9ed78d6cfe5edd33af3e136c5938417">&#9670;&nbsp;</a></span>P0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P0_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05699">5699</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga656ca53ffcbf328100dddccf007b85ef" name="ga656ca53ffcbf328100dddccf007b85ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga656ca53ffcbf328100dddccf007b85ef">&#9670;&nbsp;</a></span>P1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P1_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04040)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05700">5700</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gac015290d797bcba839812d71b6e07565" name="gac015290d797bcba839812d71b6e07565"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac015290d797bcba839812d71b6e07565">&#9670;&nbsp;</a></span>P2_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P2_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04080)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 2 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05701">5701</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga932e679bf1c1dd9873fa5948845394b7" name="ga932e679bf1c1dd9873fa5948845394b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga932e679bf1c1dd9873fa5948845394b7">&#9670;&nbsp;</a></span>P3_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P3_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x040C0)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 3 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05702">5702</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga1bfcac8d536ed3cbf84dea67475311f4" name="ga1bfcac8d536ed3cbf84dea67475311f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1bfcac8d536ed3cbf84dea67475311f4">&#9670;&nbsp;</a></span>P4_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P4_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04100)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 4 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05703">5703</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga37447b491f1fb8b3cd8335bcf78c0dc7" name="ga37447b491f1fb8b3cd8335bcf78c0dc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga37447b491f1fb8b3cd8335bcf78c0dc7">&#9670;&nbsp;</a></span>P5_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define P5_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga92eb5d49730765d2abd0f5b09548f9f5">AHBPERIPH_BASE</a> + 0x04140)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>GPIO Port 5 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05704">5704</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga1cf172d973c15b32c647a80557010e0c" name="ga1cf172d973c15b32c647a80557010e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1cf172d973c15b32c647a80557010e0c">&#9670;&nbsp;</a></span>PWM_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x40000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PWM register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05691">5691</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga4a3757b6bf87a9402b4cc6ff355dd015" name="ga4a3757b6bf87a9402b4cc6ff355dd015"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4a3757b6bf87a9402b4cc6ff355dd015">&#9670;&nbsp;</a></span>SPI_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SPI_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x30000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SPI register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05690">5690</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga05e8f3d2e5868754a7cd88614955aecc" name="ga05e8f3d2e5868754a7cd88614955aecc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga05e8f3d2e5868754a7cd88614955aecc">&#9670;&nbsp;</a></span>SRAM_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SRAM_BASE&#160;&#160;&#160;((uint32_t)0x20000000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>SRAM base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05680">5680</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga7a5c55fc79dee34c91502b0503404375" name="ga7a5c55fc79dee34c91502b0503404375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7a5c55fc79dee34c91502b0503404375">&#9670;&nbsp;</a></span>TIMER0_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER0_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TIMER0 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05687">5687</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="ga7a4bd01d91a70285f0bec70f4e9e88bb" name="ga7a4bd01d91a70285f0bec70f4e9e88bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7a4bd01d91a70285f0bec70f4e9e88bb">&#9670;&nbsp;</a></span>TIMER1_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIMER1_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x10020)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TIMER1 register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05688">5688</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaa501d94aad5260161a3f0b89ec827e92" name="gaa501d94aad5260161a3f0b89ec827e92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaa501d94aad5260161a3f0b89ec827e92">&#9670;&nbsp;</a></span>UART_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define UART_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x50000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>UART register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05692">5692</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
<a id="gaf99229879e6e3249a0ab9bcefcaf208b" name="gaf99229879e6e3249a0ab9bcefcaf208b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf99229879e6e3249a0ab9bcefcaf208b">&#9670;&nbsp;</a></span>WDT_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WDT_BASE&#160;&#160;&#160;(<a class="el" href="../../d4/d99/group___m_i_n_i51___p_e_r_i_p_h_e_r_a_l___m_e_m___m_a_p.html#ga45666d911f39addd4c8c0a0ac3388cfb">APB1PERIPH_BASE</a> + 0x04000)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>WDT register base address. </p>

<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l05686">5686</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:40 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
